package org.testing.web;

import java.io.IOException;
import java.io.PrintStream;
import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import static javax.servlet.http.HttpServletResponse.SC_OK;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.testing.weld.Trouble;

@WebServlet(name = "Trouble", urlPatterns = "/trouble", loadOnStartup = 1)
public class TroubleServlet extends HttpServlet {
    private static final Logger LOG = LoggerFactory.getLogger(TroubleServlet.class);
    private static final long serialVersionUID = 1;
    private static final String UTF_8 = "UTF-8";

    @Trouble
    @Inject
    private String trouble;

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        LOG.info("Look: {}", trouble);

        response.setContentType("text/plain");
        response.setCharacterEncoding(UTF_8);

        PrintStream print = new PrintStream(response.getOutputStream(), true, UTF_8);
        print.println(trouble);

        response.setStatus(SC_OK);
    }

}
